#ifndef _IMPFUNC_H
#define _IMPFUNC_H

#include "pefunc.h"

typedef struct FILEINFO FILEINFO;

struct IMPORT_THUNK
{
    char* name;
    unsigned short hint;
    bool no_name;
};

struct IMPORT_DESCRIPTOR
{
    char* dll_name;
    unsigned int original_first_thunk;
    unsigned int first_thunk;
    unsigned int num_thunks;
    IMPORT_THUNK* thunks;
};

struct IMPORT_DIR
{
    unsigned int size;
    unsigned int va;
    unsigned int offset;
    unsigned int num_descriptors;
    IMPORT_DESCRIPTOR* descriptors;
};

bool ProcessImportTable(FILEINFO* fileinfo);
void FreeImportDirStruct(IMPORT_DIR* impdir);

#endif
